let items = this.effect.itemTargets;
let msg = "";
for(let item of items)
{
    if (item.system.properties.qualities.durable)
    {
        await item.update({"system.qualities.value" : []});
        msg += `<p>${item.name} perd toutes ses Qualités</p>`
    }
    else
    {
        msg += `<p>${item.name} se désintègre en poussière !</p>`
        await item.update({name : item.name + " (Poussière)"})
    }
}
if(msg)
{
    this.script.message(msg);
}